Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Message Library for HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.hl7.repository.impl
Class LocalizedInfoImpl

    java.lang.Object
      com.stc.hl7.repository.impl.HL7ObjectImpl
          com.stc.hl7.repository.impl.LocalizedInfoImpl

All Implemented Interfaces:
  com.stc.model.common.LocalizedInfo, com.stc.repository.persistence.client.Marshalable, com.stc.repository.persistence.client.Persistable, com.stc.repository.persistence.client.PropertyChangePublisher, com.stc.repository.RepositoryObject, java.beans.PropertyChangeListener, java.util.EventListener

Direct Known Subclasses:
  OtdLocalizedInfoImpl

    public class LocalizedInfoImpl

extends HL7ObjectImpl
implements com.stc.model.common.LocalizedInfo

Base implementation of LocalizedInfo.

Version:
  $Revision: 1.1 $
Author:
  nang

Field Summary
`static java.lang.String` | `DATA` Constant for Map
`static java.lang.String` | `LANGUAGE` Map keyword for release version lookup.
`static java.lang.String` | `RELATIVE_FILENAME` Constant for Map

Fields inherited from class com.stc.hl7.repository.impl.HL7ObjectImpl
`persistable`

Fields inherited from interface com.stc.model.common.LocalizedInfo
`RCS_ID`

Constructor Summary
`LocalizedInfoImpl()` Constructs an instance.
`LocalizedInfoImpl(com.stc.repository.RepositoryObject parent, java.lang.String name)` Constructs an instance.
`LocalizedInfoImpl(com.stc.repository.RepositoryObject parent, java.lang.String id, java.lang.String name)` Constructs an instance.

Method Summary
`byte[]` | `getData()`
`java.lang.String` | `getLanguage()`
`java.lang.String` | `getRelativeFileName()`
`void` | `setData(byte[] value)`
`void` | `setLanguage(java.lang.String value)`
`void` | `setRelativeFileName(java.lang.String value)`

Methods inherited from class com.stc.hl7.repository.impl.HL7ObjectImpl
`addPartOfValue, addPropertyChangeListener, addPropertyChangeListener, addPropertyChangeListeners, addReferenceValue, deleteReferenceCollection, deleteReferenceValue, deleteReferenceValue, equals, getACLInfo, getBlobProperty, getClassNameAlias, getClassNameAlias, getCreatedBy, getCreationDate, getCUDTracker, getDescription, getLastUpdatedBy, getLastUpdatedDate, getMarshalableSupport, getName, getOID, getOwnerOID, getPartOfCollection, getPartOfProperty, getPartOfValue, getPersistableSupport, getPropertyMap, getReferenceCollection, getReferenceID, getReferenceProperty, getReferenceValue, getRelationshipMap, getVersionInfo, hashCode, initializeOID, isHeaderResolved, isLocked, isVersionable, onDelete, onUnmarshalFinished, onUnmarshalStarting, propertyChange, removePartOfValue, removePartOfValue, removePropertyChangeListener, removePropertyChangeListener, removePropertyChangeListeners, removeReferenceValue, removeReferenceValue, resolve, setACLInfo, setBlobProperty, setCreatedBy, setCreationDate, setCUDTracker, setDescription, setHeaderResolved, setLastUpdatedBy, setLastUpdatedDate, setName, setOID, setOwnerOID, setPartOfProperty, setPropertyMap, setReferenceID, setReferenceProperty, setResolver, setUnresolved, setVersionInfo, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.stc.repository.RepositoryObject
`getCUDTracker, onDelete, setCUDTracker`

Methods inherited from interface com.stc.repository.persistence.client.Persistable
`getACLInfo, getCreatedBy, getCreationDate, getDescription, getLastUpdatedBy, getLastUpdatedDate, getName, getOID, getOwnerOID, getPersistableSupport, getVersionInfo, isHeaderResolved, isLocked, isVersionable, resolve, setACLInfo, setCreatedBy, setCreationDate, setDescription, setHeaderResolved, setLastUpdatedBy, setLastUpdatedDate, setName, setOID, setResolver, setUnresolved, setVersionInfo`

Methods inherited from interface com.stc.repository.persistence.client.Marshalable
`getClassNameAlias, getMarshalableSupport, getPropertyMap, getReferenceID, getRelationshipMap, onUnmarshalFinished, onUnmarshalStarting, setPropertyMap, setReferenceID`

Methods inherited from interface com.stc.repository.persistence.client.PropertyChangePublisher
`addPropertyChangeListener, addPropertyChangeListener, addPropertyChangeListeners, removePropertyChangeListener, removePropertyChangeListener, removePropertyChangeListeners`

Methods inherited from interface java.beans.PropertyChangeListener
`propertyChange`

Field Detail

### LANGUAGE

    public static final java.lang.String LANGUAGE

  Map keyword for release version lookup.

  See Also:
    Constant Field Values

### DATA

    public static final java.lang.String DATA

  Constant for Map

  See Also:
    Constant Field Values

### RELATIVE_FILENAME

    public static final java.lang.String RELATIVE_FILENAME

  Constant for Map

  See Also:
    Constant Field Values

Constructor Detail

### LocalizedInfoImpl

    public LocalizedInfoImpl()

  Constructs an instance. This will be called by Repository unmarshalling.

### LocalizedInfoImpl

    public LocalizedInfoImpl(com.stc.repository.RepositoryObject parent,
                             java.lang.String name)
                      throws com.stc.repository.RepositoryException

  Constructs an instance.

  Parameters:
    `parent` - the parent RepositoryObject
    `name` - the name
  Throws:
    `com.stc.repository.RepositoryException` - if this operation fails

### LocalizedInfoImpl

    public LocalizedInfoImpl(com.stc.repository.RepositoryObject parent,
                             java.lang.String id,
                             java.lang.String name)
                      throws com.stc.repository.RepositoryException

  Constructs an instance.

  Parameters:
    `parent` - the parent RepositoryObject
    `id` - the id
    `name` - the name
  Throws:
    `com.stc.repository.RepositoryException` - if this operation fails

Method Detail

### setData

    public void setData(byte[] value)
                 throws com.stc.repository.RepositoryException

  Specified by:
    `setData` in interface `com.stc.model.common.LocalizedInfo`
  Throws:
    `com.stc.repository.RepositoryException`
  See Also:
    `LocalizedInfo.setData(byte[])`

### getData

    public byte[] getData()
                   throws com.stc.repository.RepositoryException

  Specified by:
    `getData` in interface `com.stc.model.common.LocalizedInfo`
  Throws:
    `com.stc.repository.RepositoryException`
  See Also:
    `LocalizedInfo.getData()`

### setLanguage

    public void setLanguage(java.lang.String value)
                     throws com.stc.repository.RepositoryException

  Specified by:
    `setLanguage` in interface `com.stc.model.common.LocalizedInfo`
  Throws:
    `com.stc.repository.RepositoryException`
  See Also:
    `LocalizedInfo.setLanguage(String)`

### getLanguage

    public java.lang.String getLanguage()
                                 throws com.stc.repository.RepositoryException

  Specified by:
    `getLanguage` in interface `com.stc.model.common.LocalizedInfo`
  Throws:
    `com.stc.repository.RepositoryException`
  See Also:
    `LocalizedInfo.getLanguage()`

### setRelativeFileName

    public void setRelativeFileName(java.lang.String value)
                             throws com.stc.repository.RepositoryException

  Specified by:
    `setRelativeFileName` in interface `com.stc.model.common.LocalizedInfo`
  Throws:
    `com.stc.repository.RepositoryException`
  See Also:
    `LocalizedInfo.setRelativeFileName(String)`

### getRelativeFileName

    public java.lang.String getRelativeFileName()
                                         throws com.stc.repository.RepositoryException

  Specified by:
    `getRelativeFileName` in interface `com.stc.model.common.LocalizedInfo`
  Throws:
    `com.stc.repository.RepositoryException`
  See Also:
    `LocalizedInfo.getRelativeFileName()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Message Library for HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD